Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network95.4.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
95.4.0.0
Broadcast address
95.5.255.255
First usable
95.4.0.1
Last usable
95.5.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 5F040000 · Integer 1594097664 to 1594228735
Reverse DNS zones
4.95.in-addr.arpa
5.95.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011111.00000100.00000000.0000000095.4.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network01011111.00000100.00000000.0000000095.4.0.0
Broadcast01011111.00000101.11111111.1111111195.5.255.255
Split into smaller subnets/24

95.4.0.0/15 makes 512 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
195.4.0.0/2495.4.0.1 to 95.4.0.25495.4.0.255254
295.4.1.0/2495.4.1.1 to 95.4.1.25495.4.1.255254
395.4.2.0/2495.4.2.1 to 95.4.2.25495.4.2.255254
495.4.3.0/2495.4.3.1 to 95.4.3.25495.4.3.255254
595.4.4.0/2495.4.4.1 to 95.4.4.25495.4.4.255254
695.4.5.0/2495.4.5.1 to 95.4.5.25495.4.5.255254
795.4.6.0/2495.4.6.1 to 95.4.6.25495.4.6.255254
895.4.7.0/2495.4.7.1 to 95.4.7.25495.4.7.255254
995.4.8.0/2495.4.8.1 to 95.4.8.25495.4.8.255254
1095.4.9.0/2495.4.9.1 to 95.4.9.25495.4.9.255254
1195.4.10.0/2495.4.10.1 to 95.4.10.25495.4.10.255254
1295.4.11.0/2495.4.11.1 to 95.4.11.25495.4.11.255254
1395.4.12.0/2495.4.12.1 to 95.4.12.25495.4.12.255254
1495.4.13.0/2495.4.13.1 to 95.4.13.25495.4.13.255254
1595.4.14.0/2495.4.14.1 to 95.4.14.25495.4.14.255254
1695.4.15.0/2495.4.15.1 to 95.4.15.25495.4.15.255254
1795.4.16.0/2495.4.16.1 to 95.4.16.25495.4.16.255254
1895.4.17.0/2495.4.17.1 to 95.4.17.25495.4.17.255254
1995.4.18.0/2495.4.18.1 to 95.4.18.25495.4.18.255254
2095.4.19.0/2495.4.19.1 to 95.4.19.25495.4.19.255254
2195.4.20.0/2495.4.20.1 to 95.4.20.25495.4.20.255254
2295.4.21.0/2495.4.21.1 to 95.4.21.25495.4.21.255254
2395.4.22.0/2495.4.22.1 to 95.4.22.25495.4.22.255254
2495.4.23.0/2495.4.23.1 to 95.4.23.25495.4.23.255254
2595.4.24.0/2495.4.24.1 to 95.4.24.25495.4.24.255254
2695.4.25.0/2495.4.25.1 to 95.4.25.25495.4.25.255254
2795.4.26.0/2495.4.26.1 to 95.4.26.25495.4.26.255254
2895.4.27.0/2495.4.27.1 to 95.4.27.25495.4.27.255254
2995.4.28.0/2495.4.28.1 to 95.4.28.25495.4.28.255254
3095.4.29.0/2495.4.29.1 to 95.4.29.25495.4.29.255254
3195.4.30.0/2495.4.30.1 to 95.4.30.25495.4.30.255254
3295.4.31.0/2495.4.31.1 to 95.4.31.25495.4.31.255254
3395.4.32.0/2495.4.32.1 to 95.4.32.25495.4.32.255254
3495.4.33.0/2495.4.33.1 to 95.4.33.25495.4.33.255254
3595.4.34.0/2495.4.34.1 to 95.4.34.25495.4.34.255254
3695.4.35.0/2495.4.35.1 to 95.4.35.25495.4.35.255254
3795.4.36.0/2495.4.36.1 to 95.4.36.25495.4.36.255254
3895.4.37.0/2495.4.37.1 to 95.4.37.25495.4.37.255254
3995.4.38.0/2495.4.38.1 to 95.4.38.25495.4.38.255254
4095.4.39.0/2495.4.39.1 to 95.4.39.25495.4.39.255254
4195.4.40.0/2495.4.40.1 to 95.4.40.25495.4.40.255254
4295.4.41.0/2495.4.41.1 to 95.4.41.25495.4.41.255254
4395.4.42.0/2495.4.42.1 to 95.4.42.25495.4.42.255254
4495.4.43.0/2495.4.43.1 to 95.4.43.25495.4.43.255254
4595.4.44.0/2495.4.44.1 to 95.4.44.25495.4.44.255254
4695.4.45.0/2495.4.45.1 to 95.4.45.25495.4.45.255254
4795.4.46.0/2495.4.46.1 to 95.4.46.25495.4.46.255254
4895.4.47.0/2495.4.47.1 to 95.4.47.25495.4.47.255254
4995.4.48.0/2495.4.48.1 to 95.4.48.25495.4.48.255254
5095.4.49.0/2495.4.49.1 to 95.4.49.25495.4.49.255254
5195.4.50.0/2495.4.50.1 to 95.4.50.25495.4.50.255254
5295.4.51.0/2495.4.51.1 to 95.4.51.25495.4.51.255254
5395.4.52.0/2495.4.52.1 to 95.4.52.25495.4.52.255254
5495.4.53.0/2495.4.53.1 to 95.4.53.25495.4.53.255254
5595.4.54.0/2495.4.54.1 to 95.4.54.25495.4.54.255254
5695.4.55.0/2495.4.55.1 to 95.4.55.25495.4.55.255254
5795.4.56.0/2495.4.56.1 to 95.4.56.25495.4.56.255254
5895.4.57.0/2495.4.57.1 to 95.4.57.25495.4.57.255254
5995.4.58.0/2495.4.58.1 to 95.4.58.25495.4.58.255254
6095.4.59.0/2495.4.59.1 to 95.4.59.25495.4.59.255254
6195.4.60.0/2495.4.60.1 to 95.4.60.25495.4.60.255254
6295.4.61.0/2495.4.61.1 to 95.4.61.25495.4.61.255254
6395.4.62.0/2495.4.62.1 to 95.4.62.25495.4.62.255254
6495.4.63.0/2495.4.63.1 to 95.4.63.25495.4.63.255254
6595.4.64.0/2495.4.64.1 to 95.4.64.25495.4.64.255254
6695.4.65.0/2495.4.65.1 to 95.4.65.25495.4.65.255254
6795.4.66.0/2495.4.66.1 to 95.4.66.25495.4.66.255254
6895.4.67.0/2495.4.67.1 to 95.4.67.25495.4.67.255254
6995.4.68.0/2495.4.68.1 to 95.4.68.25495.4.68.255254
7095.4.69.0/2495.4.69.1 to 95.4.69.25495.4.69.255254
7195.4.70.0/2495.4.70.1 to 95.4.70.25495.4.70.255254
7295.4.71.0/2495.4.71.1 to 95.4.71.25495.4.71.255254
7395.4.72.0/2495.4.72.1 to 95.4.72.25495.4.72.255254
7495.4.73.0/2495.4.73.1 to 95.4.73.25495.4.73.255254
7595.4.74.0/2495.4.74.1 to 95.4.74.25495.4.74.255254
7695.4.75.0/2495.4.75.1 to 95.4.75.25495.4.75.255254
7795.4.76.0/2495.4.76.1 to 95.4.76.25495.4.76.255254
7895.4.77.0/2495.4.77.1 to 95.4.77.25495.4.77.255254
7995.4.78.0/2495.4.78.1 to 95.4.78.25495.4.78.255254
8095.4.79.0/2495.4.79.1 to 95.4.79.25495.4.79.255254
8195.4.80.0/2495.4.80.1 to 95.4.80.25495.4.80.255254
8295.4.81.0/2495.4.81.1 to 95.4.81.25495.4.81.255254
8395.4.82.0/2495.4.82.1 to 95.4.82.25495.4.82.255254
8495.4.83.0/2495.4.83.1 to 95.4.83.25495.4.83.255254
8595.4.84.0/2495.4.84.1 to 95.4.84.25495.4.84.255254
8695.4.85.0/2495.4.85.1 to 95.4.85.25495.4.85.255254
8795.4.86.0/2495.4.86.1 to 95.4.86.25495.4.86.255254
8895.4.87.0/2495.4.87.1 to 95.4.87.25495.4.87.255254
8995.4.88.0/2495.4.88.1 to 95.4.88.25495.4.88.255254
9095.4.89.0/2495.4.89.1 to 95.4.89.25495.4.89.255254
9195.4.90.0/2495.4.90.1 to 95.4.90.25495.4.90.255254
9295.4.91.0/2495.4.91.1 to 95.4.91.25495.4.91.255254
9395.4.92.0/2495.4.92.1 to 95.4.92.25495.4.92.255254
9495.4.93.0/2495.4.93.1 to 95.4.93.25495.4.93.255254
9595.4.94.0/2495.4.94.1 to 95.4.94.25495.4.94.255254
9695.4.95.0/2495.4.95.1 to 95.4.95.25495.4.95.255254
9795.4.96.0/2495.4.96.1 to 95.4.96.25495.4.96.255254
9895.4.97.0/2495.4.97.1 to 95.4.97.25495.4.97.255254
9995.4.98.0/2495.4.98.1 to 95.4.98.25495.4.98.255254
10095.4.99.0/2495.4.99.1 to 95.4.99.25495.4.99.255254
10195.4.100.0/2495.4.100.1 to 95.4.100.25495.4.100.255254
10295.4.101.0/2495.4.101.1 to 95.4.101.25495.4.101.255254
10395.4.102.0/2495.4.102.1 to 95.4.102.25495.4.102.255254
10495.4.103.0/2495.4.103.1 to 95.4.103.25495.4.103.255254
10595.4.104.0/2495.4.104.1 to 95.4.104.25495.4.104.255254
10695.4.105.0/2495.4.105.1 to 95.4.105.25495.4.105.255254
10795.4.106.0/2495.4.106.1 to 95.4.106.25495.4.106.255254
10895.4.107.0/2495.4.107.1 to 95.4.107.25495.4.107.255254
10995.4.108.0/2495.4.108.1 to 95.4.108.25495.4.108.255254
11095.4.109.0/2495.4.109.1 to 95.4.109.25495.4.109.255254
11195.4.110.0/2495.4.110.1 to 95.4.110.25495.4.110.255254
11295.4.111.0/2495.4.111.1 to 95.4.111.25495.4.111.255254
11395.4.112.0/2495.4.112.1 to 95.4.112.25495.4.112.255254
11495.4.113.0/2495.4.113.1 to 95.4.113.25495.4.113.255254
11595.4.114.0/2495.4.114.1 to 95.4.114.25495.4.114.255254
11695.4.115.0/2495.4.115.1 to 95.4.115.25495.4.115.255254
11795.4.116.0/2495.4.116.1 to 95.4.116.25495.4.116.255254
11895.4.117.0/2495.4.117.1 to 95.4.117.25495.4.117.255254
11995.4.118.0/2495.4.118.1 to 95.4.118.25495.4.118.255254
12095.4.119.0/2495.4.119.1 to 95.4.119.25495.4.119.255254
12195.4.120.0/2495.4.120.1 to 95.4.120.25495.4.120.255254
12295.4.121.0/2495.4.121.1 to 95.4.121.25495.4.121.255254
12395.4.122.0/2495.4.122.1 to 95.4.122.25495.4.122.255254
12495.4.123.0/2495.4.123.1 to 95.4.123.25495.4.123.255254
12595.4.124.0/2495.4.124.1 to 95.4.124.25495.4.124.255254
12695.4.125.0/2495.4.125.1 to 95.4.125.25495.4.125.255254
12795.4.126.0/2495.4.126.1 to 95.4.126.25495.4.126.255254
12895.4.127.0/2495.4.127.1 to 95.4.127.25495.4.127.255254
12995.4.128.0/2495.4.128.1 to 95.4.128.25495.4.128.255254
13095.4.129.0/2495.4.129.1 to 95.4.129.25495.4.129.255254
13195.4.130.0/2495.4.130.1 to 95.4.130.25495.4.130.255254
13295.4.131.0/2495.4.131.1 to 95.4.131.25495.4.131.255254
13395.4.132.0/2495.4.132.1 to 95.4.132.25495.4.132.255254
13495.4.133.0/2495.4.133.1 to 95.4.133.25495.4.133.255254
13595.4.134.0/2495.4.134.1 to 95.4.134.25495.4.134.255254
13695.4.135.0/2495.4.135.1 to 95.4.135.25495.4.135.255254
13795.4.136.0/2495.4.136.1 to 95.4.136.25495.4.136.255254
13895.4.137.0/2495.4.137.1 to 95.4.137.25495.4.137.255254
13995.4.138.0/2495.4.138.1 to 95.4.138.25495.4.138.255254
14095.4.139.0/2495.4.139.1 to 95.4.139.25495.4.139.255254
14195.4.140.0/2495.4.140.1 to 95.4.140.25495.4.140.255254
14295.4.141.0/2495.4.141.1 to 95.4.141.25495.4.141.255254
14395.4.142.0/2495.4.142.1 to 95.4.142.25495.4.142.255254
14495.4.143.0/2495.4.143.1 to 95.4.143.25495.4.143.255254
14595.4.144.0/2495.4.144.1 to 95.4.144.25495.4.144.255254
14695.4.145.0/2495.4.145.1 to 95.4.145.25495.4.145.255254
14795.4.146.0/2495.4.146.1 to 95.4.146.25495.4.146.255254
14895.4.147.0/2495.4.147.1 to 95.4.147.25495.4.147.255254
14995.4.148.0/2495.4.148.1 to 95.4.148.25495.4.148.255254
15095.4.149.0/2495.4.149.1 to 95.4.149.25495.4.149.255254
15195.4.150.0/2495.4.150.1 to 95.4.150.25495.4.150.255254
15295.4.151.0/2495.4.151.1 to 95.4.151.25495.4.151.255254
15395.4.152.0/2495.4.152.1 to 95.4.152.25495.4.152.255254
15495.4.153.0/2495.4.153.1 to 95.4.153.25495.4.153.255254
15595.4.154.0/2495.4.154.1 to 95.4.154.25495.4.154.255254
15695.4.155.0/2495.4.155.1 to 95.4.155.25495.4.155.255254
15795.4.156.0/2495.4.156.1 to 95.4.156.25495.4.156.255254
15895.4.157.0/2495.4.157.1 to 95.4.157.25495.4.157.255254
15995.4.158.0/2495.4.158.1 to 95.4.158.25495.4.158.255254
16095.4.159.0/2495.4.159.1 to 95.4.159.25495.4.159.255254
16195.4.160.0/2495.4.160.1 to 95.4.160.25495.4.160.255254
16295.4.161.0/2495.4.161.1 to 95.4.161.25495.4.161.255254
16395.4.162.0/2495.4.162.1 to 95.4.162.25495.4.162.255254
16495.4.163.0/2495.4.163.1 to 95.4.163.25495.4.163.255254
16595.4.164.0/2495.4.164.1 to 95.4.164.25495.4.164.255254
16695.4.165.0/2495.4.165.1 to 95.4.165.25495.4.165.255254
16795.4.166.0/2495.4.166.1 to 95.4.166.25495.4.166.255254
16895.4.167.0/2495.4.167.1 to 95.4.167.25495.4.167.255254
16995.4.168.0/2495.4.168.1 to 95.4.168.25495.4.168.255254
17095.4.169.0/2495.4.169.1 to 95.4.169.25495.4.169.255254
17195.4.170.0/2495.4.170.1 to 95.4.170.25495.4.170.255254
17295.4.171.0/2495.4.171.1 to 95.4.171.25495.4.171.255254
17395.4.172.0/2495.4.172.1 to 95.4.172.25495.4.172.255254
17495.4.173.0/2495.4.173.1 to 95.4.173.25495.4.173.255254
17595.4.174.0/2495.4.174.1 to 95.4.174.25495.4.174.255254
17695.4.175.0/2495.4.175.1 to 95.4.175.25495.4.175.255254
17795.4.176.0/2495.4.176.1 to 95.4.176.25495.4.176.255254
17895.4.177.0/2495.4.177.1 to 95.4.177.25495.4.177.255254
17995.4.178.0/2495.4.178.1 to 95.4.178.25495.4.178.255254
18095.4.179.0/2495.4.179.1 to 95.4.179.25495.4.179.255254
18195.4.180.0/2495.4.180.1 to 95.4.180.25495.4.180.255254
18295.4.181.0/2495.4.181.1 to 95.4.181.25495.4.181.255254
18395.4.182.0/2495.4.182.1 to 95.4.182.25495.4.182.255254
18495.4.183.0/2495.4.183.1 to 95.4.183.25495.4.183.255254
18595.4.184.0/2495.4.184.1 to 95.4.184.25495.4.184.255254
18695.4.185.0/2495.4.185.1 to 95.4.185.25495.4.185.255254
18795.4.186.0/2495.4.186.1 to 95.4.186.25495.4.186.255254
18895.4.187.0/2495.4.187.1 to 95.4.187.25495.4.187.255254
18995.4.188.0/2495.4.188.1 to 95.4.188.25495.4.188.255254
19095.4.189.0/2495.4.189.1 to 95.4.189.25495.4.189.255254
19195.4.190.0/2495.4.190.1 to 95.4.190.25495.4.190.255254
19295.4.191.0/2495.4.191.1 to 95.4.191.25495.4.191.255254
19395.4.192.0/2495.4.192.1 to 95.4.192.25495.4.192.255254
19495.4.193.0/2495.4.193.1 to 95.4.193.25495.4.193.255254
19595.4.194.0/2495.4.194.1 to 95.4.194.25495.4.194.255254
19695.4.195.0/2495.4.195.1 to 95.4.195.25495.4.195.255254
19795.4.196.0/2495.4.196.1 to 95.4.196.25495.4.196.255254
19895.4.197.0/2495.4.197.1 to 95.4.197.25495.4.197.255254
19995.4.198.0/2495.4.198.1 to 95.4.198.25495.4.198.255254
20095.4.199.0/2495.4.199.1 to 95.4.199.25495.4.199.255254
20195.4.200.0/2495.4.200.1 to 95.4.200.25495.4.200.255254
20295.4.201.0/2495.4.201.1 to 95.4.201.25495.4.201.255254
20395.4.202.0/2495.4.202.1 to 95.4.202.25495.4.202.255254
20495.4.203.0/2495.4.203.1 to 95.4.203.25495.4.203.255254
20595.4.204.0/2495.4.204.1 to 95.4.204.25495.4.204.255254
20695.4.205.0/2495.4.205.1 to 95.4.205.25495.4.205.255254
20795.4.206.0/2495.4.206.1 to 95.4.206.25495.4.206.255254
20895.4.207.0/2495.4.207.1 to 95.4.207.25495.4.207.255254
20995.4.208.0/2495.4.208.1 to 95.4.208.25495.4.208.255254
21095.4.209.0/2495.4.209.1 to 95.4.209.25495.4.209.255254
21195.4.210.0/2495.4.210.1 to 95.4.210.25495.4.210.255254
21295.4.211.0/2495.4.211.1 to 95.4.211.25495.4.211.255254
21395.4.212.0/2495.4.212.1 to 95.4.212.25495.4.212.255254
21495.4.213.0/2495.4.213.1 to 95.4.213.25495.4.213.255254
21595.4.214.0/2495.4.214.1 to 95.4.214.25495.4.214.255254
21695.4.215.0/2495.4.215.1 to 95.4.215.25495.4.215.255254
21795.4.216.0/2495.4.216.1 to 95.4.216.25495.4.216.255254
21895.4.217.0/2495.4.217.1 to 95.4.217.25495.4.217.255254
21995.4.218.0/2495.4.218.1 to 95.4.218.25495.4.218.255254
22095.4.219.0/2495.4.219.1 to 95.4.219.25495.4.219.255254
22195.4.220.0/2495.4.220.1 to 95.4.220.25495.4.220.255254
22295.4.221.0/2495.4.221.1 to 95.4.221.25495.4.221.255254
22395.4.222.0/2495.4.222.1 to 95.4.222.25495.4.222.255254
22495.4.223.0/2495.4.223.1 to 95.4.223.25495.4.223.255254
22595.4.224.0/2495.4.224.1 to 95.4.224.25495.4.224.255254
22695.4.225.0/2495.4.225.1 to 95.4.225.25495.4.225.255254
22795.4.226.0/2495.4.226.1 to 95.4.226.25495.4.226.255254
22895.4.227.0/2495.4.227.1 to 95.4.227.25495.4.227.255254
22995.4.228.0/2495.4.228.1 to 95.4.228.25495.4.228.255254
23095.4.229.0/2495.4.229.1 to 95.4.229.25495.4.229.255254
23195.4.230.0/2495.4.230.1 to 95.4.230.25495.4.230.255254
23295.4.231.0/2495.4.231.1 to 95.4.231.25495.4.231.255254
23395.4.232.0/2495.4.232.1 to 95.4.232.25495.4.232.255254
23495.4.233.0/2495.4.233.1 to 95.4.233.25495.4.233.255254
23595.4.234.0/2495.4.234.1 to 95.4.234.25495.4.234.255254
23695.4.235.0/2495.4.235.1 to 95.4.235.25495.4.235.255254
23795.4.236.0/2495.4.236.1 to 95.4.236.25495.4.236.255254
23895.4.237.0/2495.4.237.1 to 95.4.237.25495.4.237.255254
23995.4.238.0/2495.4.238.1 to 95.4.238.25495.4.238.255254
24095.4.239.0/2495.4.239.1 to 95.4.239.25495.4.239.255254
24195.4.240.0/2495.4.240.1 to 95.4.240.25495.4.240.255254
24295.4.241.0/2495.4.241.1 to 95.4.241.25495.4.241.255254
24395.4.242.0/2495.4.242.1 to 95.4.242.25495.4.242.255254
24495.4.243.0/2495.4.243.1 to 95.4.243.25495.4.243.255254
24595.4.244.0/2495.4.244.1 to 95.4.244.25495.4.244.255254
24695.4.245.0/2495.4.245.1 to 95.4.245.25495.4.245.255254
24795.4.246.0/2495.4.246.1 to 95.4.246.25495.4.246.255254
24895.4.247.0/2495.4.247.1 to 95.4.247.25495.4.247.255254
24995.4.248.0/2495.4.248.1 to 95.4.248.25495.4.248.255254
25095.4.249.0/2495.4.249.1 to 95.4.249.25495.4.249.255254
25195.4.250.0/2495.4.250.1 to 95.4.250.25495.4.250.255254
25295.4.251.0/2495.4.251.1 to 95.4.251.25495.4.251.255254
25395.4.252.0/2495.4.252.1 to 95.4.252.25495.4.252.255254
25495.4.253.0/2495.4.253.1 to 95.4.253.25495.4.253.255254
25595.4.254.0/2495.4.254.1 to 95.4.254.25495.4.254.255254
25695.4.255.0/2495.4.255.1 to 95.4.255.25495.4.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses